using System.Text.Json.Serialization;
using System.Collections.Generic;
using Topsdk.Util;

namespace Topsdk.Top.Ability373.Domain;

public class TaobaoJuItemsSearchPaginationResult
{

    /*
        当前页码
    */
    private long? currentPage;


    /*
        扩展属性
    */
    private TaobaoJuItemsSearchExtend? extend;


    /*
        商品数据
    */
    private IList<TaobaoJuItemsSearchItems>? modelList;


    /*
        错误码
    */
    private string? msgCode;


    /*
        错误信息
    */
    private string? msgInfo;


    /*
        一页大小
    */
    private long? pageSize;


    /*
        请求是否成功
    */
    private bool? success;


    /*
        商品总数
    */
    private long? totalItem;


    /*
        总页数
    */
    private long? totalPage;


    /*
        埋点信息
    */
    private TaobaoJuItemsSearchTrackparams? trackParams;



    [JsonPropertyName("current_page")]
    public long? CurrentPage
    {
        get => currentPage;
        set => this.currentPage = value;
    }

    [JsonPropertyName("extend")]
    public TaobaoJuItemsSearchExtend? Extend
    {
        get => extend;
        set => this.extend = value;
    }

    [JsonPropertyName("model_list")]
    public IList<TaobaoJuItemsSearchItems>? ModelList
    {
        get => modelList;
        set => this.modelList = value;
    }

    [JsonPropertyName("msg_code")]
    public string? MsgCode
    {
        get => msgCode;
        set => this.msgCode = value;
    }

    [JsonPropertyName("msg_info")]
    public string? MsgInfo
    {
        get => msgInfo;
        set => this.msgInfo = value;
    }

    [JsonPropertyName("page_size")]
    public long? PageSize
    {
        get => pageSize;
        set => this.pageSize = value;
    }

    [JsonPropertyName("success")]
    public bool? Success
    {
        get => success;
        set => this.success = value;
    }

    [JsonPropertyName("total_item")]
    public long? TotalItem
    {
        get => totalItem;
        set => this.totalItem = value;
    }

    [JsonPropertyName("total_page")]
    public long? TotalPage
    {
        get => totalPage;
        set => this.totalPage = value;
    }

    [JsonPropertyName("track_params")]
    public TaobaoJuItemsSearchTrackparams? TrackParams
    {
        get => trackParams;
        set => this.trackParams = value;
    }

}

